bundler

deprecated
Puppet module for bundler

Example42

example42

10,067 downloads

7,718 latest version

4.1 quality score

Version information

  • 2.0.15 (latest)
  • 2.0.14
  • 2.0.13
  • 2.0.12
  • 2.0.11
released Jun 30th 2015
This module has been deprecated by its author since Oct 28th 2019.

The reason given was: No longer maintained

The author has suggested puppetlabs-ruby as its replacement.

Start using this module

Documentation

example42/bundler — version 2.0.15 Jun 30th 2015

Puppet module: bundler

DEPRECATION NOTICE

This module is no more actively maintained and will hardly be updated.

Please find an alternative module from other authors or consider Tiny Puppet as replacement.

If you want to maintain this module, contact Alessandro Franceschi

This is a Puppet module for bundler It provides only package installation and management

Based on Example42 layouts by Alessandro Franceschi / Lab42

Official site: http://www.example42.com

Official git repository: http://github.com/example42/puppet-bundler

Module development sponsored by AllOver.IO

Released under the terms of Apache 2 License.

This module requires the presence of Example42 Puppi module in your modulepath.

USAGE - Basic management

  • Install bundler with default settings

      class { 'bundler': }
    
  • Install a specific version of bundler package

      class { 'bundler':
        version => '1.0.1',
      }
    
  • Remove bundler resources

      class { 'bundler':
        absent => true
      }
    
  • Module dry-run: Do not make any change on all the resources provided by the module

      class { 'bundler':
        noops => true
      }
    
  • Automatically include a custom subclass

      class { 'bundler':
        my_class => 'example42::my_bundler',
      }
    

TESTING

Build Status